JRuby + Windows: SCMs do not work on Redmine 1.2
2011-07-15 13:27 - Toshi MARUYAMA

Status: Closed Start date: 2011-07-15
Priority: Normal Due date:

Assignee: Toshi MARUYAMA % Done: 0%
Category: SCM Estimated time: 0.00 hour
Target version: 1.2.2

Resolution: Fixed Affected version: 1.2.0
Description

SCMs on Redmine 1.1 work fine (some tests fail).
SCMs on Redmine 1.2 on CRuby + Windows work fine, too.

But, SCMs on Redmine 1.2 on JRuby + Windows does not work due to 1.2 new feature #7517.
R:\work\hg-workdir\redmine-all>jruby --version

jruby 1.6.2 (ruby-1.8.7-p330) (2011-05-23 e2ea975)
(Java HotSpot (TM) Client VM 1.6.0_23) [Windows Vista-x86-java]

Mercurial, Git and CVS

All tests fail with following error message.

In Japanese:

00000000000o0000Do0DoD boobaobooDhonDao

Translation to English:
Filename, directory name, or volume label syntax is incorrect.

Subversion and Darcs

It seems that feature #7517 does not work on JRuby + Windows.
Bazaar

Same with Subversion and Darcs on 1.2 stable.

But trunk does not work.
Because refactoring has started after r5890.

gem version on Redmine 1.1

R:\work\hg-workdir\redmine-all>gem —--version
LoSod

You need to apply jruby-gem-redmine-1.1.diff

Related issues:

Related to Redmine - Feature #7517: Configurable path of executable for scm a... Closed
Related to Redmine - Defect #9061: JRuby + Windows: CVS does not work Closed
Related to Redmine - Defect #9073: JRuby + Windows: Bazaar does not work Closed
Related to Redmine - Feature #12228: JRuby 1.7.2 support Closed

2011-02-02
2011-08-16
2011-08-17

Associated revisions

Revision 6272 - 2011-07-15 13:43 - Toshi MARUYAMA

scm: add new method "shell_quote_command" at abstract adapter (#8825).

Revision 6273 - 2011-07-15 13:53 - Toshi MARUYAMA
https://www.redmine.org/issues/7517
https://www.redmine.org/issues/7517
https://www.redmine.org/projects/redmine/repository/svn/revisions/5890
https://www.redmine.org/attachments/6290

Merge(backport) r6230 from trunk (#8825).
scm: catch all exceptions at adapter shellout() to fork scm command.

If scm command does not exist,
Linux JRuby 1.6.2 (ruby-1.8.7-p330) raises java.io.|OException in production environment.

Revision 6274 - 2011-07-15 18:29 - Toshi MARUYAMA

scm: subversion: use "shell_quote_command" method at adapter for JRuby + Windows command name (#8825).

Revision 6275 - 2011-07-15 18:29 - Toshi MARUYAMA

scm: darcs: use "shell_quote_command" method at adapter for JRuby + Windows command name (#8825).

Revision 6276 - 2011-07-15 18:30 - Toshi MARUYAMA

scm: cvs: use "shell_quote_command" method at adapter for JRuby + Windows command name (#8825).

Revision 6277 - 2011-07-15 18:30 - Toshi MARUYAMA

scm: cvs: use self.class.sq_bin for command name at adpter scm_cmd() (#8825).

Revision 6278 - 2011-07-15 18:31 - Toshi MARUYAMA

scm: mercurial: use "shell_quote_command" method at adapter for JRuby + Windows command name (#8825).

Revision 6279 - 2011-07-15 18:31 - Toshi MARUYAMA

scm: mercurial: use self.class.sq_bin for command name at adpter scm_cmd() (#8825).

Revision 6280 - 2011-07-15 18:31 - Toshi MARUYAMA

scm: git: use "shell_quote_command" method at adapter for JRuby + Windows command name (#8825).

Revision 6281 - 2011-07-15 18:32 - Toshi MARUYAMA

scm: git: use self.class.sq_bin for command name at adpter scm_cmd() (#8825).

Revision 6282 - 2011-07-15 18:32 - Toshi MARUYAMA

scm: bazaar: use "shell_quote_command" method at adapter for JRuby + Windows command name (#8825).

Revision 6283 - 2011-07-15 18:33 - Toshi MARUYAMA

scm: bazaar: use self.class.sg_bin for command name at adpter scm_cmd() (#8825).

Revision 6284 - 2011-07-15 18:33 - Toshi MARUYAMA

scm: bazaar: use self.class.sq_bin for command name at adpter scm_cmd_no_raise() (#8825).

Revision 6447 - 2011-08-16 02:10 - Toshi MARUYAMA

scm: add comment that configuration of SCM executable command does not work if contains spaces path to configuration.yml.example (#7517,
#8825).

Revision 6453 - 2011-08-17 13:14 - Toshi MARUYAMA
Merge r6021 from trunk (#8825).
scm: fix JRuby tests fail in unit changeset following test.
e test_invalid_utf8_sequences_in_paths_should_be_replaced
Following Subversion functional tests fail on Japanese Windows + JRuby 1.6.2 (ruby-1.8.7-p330).

e test_directory_diff
e test_revision_diff

History

#1 - 2011-08-16 08:14 - alvis lee

+1
#2 - 2011-08-17 17:37 - Toshi MARUYAMA
- Status changed from New to Closed
- Target version set to 1.2.2

- Resolution set to Fixed

As | described at r6447 comment and source:trunk/config/configuration.yml.example@6447#L115, scm command path which contains spaces does
not work.

CVS and Bazaar do not work.
| created new issues.

e CVS #9061
e Bazaar #9073

Other scms pass tests.

Files

jruby-gem-redmine-1.1.diff 675 Bytes 2011-07-15 Toshi MARUYAMA
https://www.redmine.org/projects/redmine/repository/svn/revisions/6447
https://www.redmine.org/projects/redmine/repository/svn/revisions/6447/entry/trunk/config/configuration.yml.example#L115
https://www.redmine.org/issues/9061
https://www.redmine.org/issues/9073
http://www.tcpdf.org

